Subject: RE: RFC 2461- issue list: Prefixes with L=0

From: Soliman Hesham <[email-masked]>
Date: Mon, 3 Nov 2003 21:55:32 -0500

> If the purpose of prefixes with L=0 is to inform hosts to 
 > send traffic 
 > to the default router, why not omit those prefixes altogether from 
 > RAs. Host will send the packets destined to unknown prefixes to a 
 > default router anyway.  

=> Because you want the host receiving the RA
to be able to configure an address. If you omit 
the prefix option that host won't configure an address.

 >  
 > > => If it is found that in some deployment cases the L=0 
 > > causes problems, the network admin is free to configure
 > > the routers accordingly and always use on-link prefixes.
 > > This is completely under the control of the admin. 
 > 
 > I wonder that there may be some wireless links on which admin can't 
 > assign on-link prefixes. For example, a link with hidden 
 > node problem 
 > like 802.11 b ad-hoc mode or bluetooth.  

=> I'm not sure I follow. 

 > 
 > > I think Fred Templin sent a question some time ago
 > > on this and Thomas explained how hosts should handle the
 > > case where the L flag is set to zero. We can add this clarification
 > > in the new revision if that helps.
 >  
 > Fred Templin raised the issue whether it's possible to 
 > advertise a prefix 
 > with L=0 and A=1 and Thomas said so. Is this what you have in mind? 

=> I think he raised both (see his last email). 

 > And I think the prefix with L=0 and A=1 may cause unnoticed address 
 > duplication.

=> If you advertise L =0 and want to assign the same prefix
to multiple links, then you must be able to handle DAD, NS ...etc
across links. This is what the ND proxy proposal does. 
In other words, if you have a multi-link subnet, you better know
how to relay ND traffic across links otherwise you could end 
up with the problem you mention above. 

Hesham
 
 > Best regards
 > JinHyeock

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "JinHyeock Choi" <[email-masked]>
Date: Tue, 4 Nov 2003 15:03:10 +0900

Hesham 

> up with the problem you mention above. 

Let me summarize the above.

1. In principle, a prefix is assigned to only one link, whether L=0 or not. 
2. For multi-link subnet (the use of the same subnet prefix on multiple link), 
    special care is needed, for example ND proxying. 

Right? 

Thanks for enlightening comments. :-) I have clearer vision now.   

Best regards

JinHyeock 1H>þ°¢¹"ž+¢êfj)bž	b²Ø©¿¨žµú+€fŠx¬¶¶Š÷‘z«ž²Û!¶Úlÿü0ÃXžµú+ƒùšŠYšŸùb²Ø§~â¦þ